<?php 

/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE_AFL.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
*
 * @category    design
 * @package     ced_default
 * @author 		CedCommerce Core Team <coreteam@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
 
?>
<?php
$helper = Mage::helper ( 'csmarketplace' );
$_product=$this->getVproduct()?$this->getVproduct():Mage::registry('current_product');
$checkstatus=$this->getCheckStatus();
$stockitem=$_product->getStockItem();
$typeId=$_product->getTypeId()!=null?$_product->getTypeId():$this->getRequest()->getParam('type');
$productformdata=array();
if(Mage::getSingleton('customer/session')->getFormError()==true)
	$productformdata=Mage::getSingleton('customer/session')->getProductFormData();

if(!$_product->getId()){
	$name = isset($productformdata['product']['name'])?$productformdata['product']['name']:'';
	$description = isset($productformdata['product']['description'])?$productformdata['product']['description']:'';
	$short_description = isset($productformdata['product']['short_description'])?$productformdata['product']['short_description']:'';
	$sku = isset($productformdata['product']['sku'])?$productformdata['product']['sku']:'';
	$weight = isset($productformdata['product']['weight'])?$productformdata['product']['weight']:'';	
	$qty = isset($productformdata['product']['stock_data']['qty'])?$productformdata['product']['stock_data']['qty']:'';
	$is_in_stock = isset($productformdata['product']['stock_data']['is_in_stock'])?$productformdata['product']['stock_data']['is_in_stock']:'';
	$tax_class_id = isset($productformdata['product']['tax_class_id'])?$productformdata['product']['tax_class_id']:'';
    $part_condition = isset($productformdata['product']['part_condition'])?$productformdata['product']['part_condition']:'';
    $price = isset($productformdata['product']['price'])?$productformdata['product']['price']:'';
	$special_price = isset($productformdata['product']['special_price'])?$productformdata['product']['special_price']:'';
    $ship_cost = isset($productformdata['product']['ship_cost'])?$productformdata['product']['ship_cost']:'';
    $ship_label = isset($productformdata['product']['ship_label'])?$productformdata['product']['ship_label']:'';
    $return = isset($productformdata['product']['return'])?$productformdata['product']['return']:'';
    $garantee = isset($productformdata['product']['garantee'])?$productformdata['product']['garantee']:'';
} 
else if($_product->getId()){
	$name = $_product->getName();
	$description = $_product->getDescription();
	$short_description = $_product->getShortDescription();
	$sku = $_product->getSku();
	if($_product->getTypeId()==Mage_Catalog_Model_Product_Type::TYPE_SIMPLE||$this->getRequest()->getParam('type')==Mage_Catalog_Model_Product_Type::TYPE_SIMPLE)
		$weight =$_product->getWeight();
	if($checkstatus==Ced_CsMarketplace_Model_Vproducts::APPROVED_STATUS){
		$status = $_product->getStatus();
	}
	$qty=$stockitem->getQty();
	if($_product->getId()){
		/* $is_in_stock = $stockitem->getIsInStock(); */
		$is_in_stock = $stockitem->getData('is_in_stock');
		$tax_class_id = $_product->getTaxClassId();
        $part_condition = $_product->getPartCondition();
	}
	$price=$_product->getPrice();
	$special_price=$_product->getSpecialPrice();
	
}
?>
<script type="text/javascript">
 bkLib.onDomLoaded(function() {
        new nicEditor({fullPanel : true}).panelInstance('description');
        new nicEditor({fullPanel : true}).panelInstance('short_description');
  }); 
</script>
<?php echo $this->getMessagesBlock()->getGroupedHtml() ?>
<?php 
	$cedsecure = false;		
	if(Mage::app()->getStore()->isCurrentlySecure()){
		$cedsecure = true;
	}
?>
<form
	action="<?php echo $this->getUrl('csmarketplace/vproducts/save',array("id"=>$_product->getId(),'_secure'=>$cedsecure,'_nosid'=>true)); ?>"
	enctype="multipart/form-data" method="post"
	id="form-validate" role="form">
	<input type="hidden" name="type" id="type"
			value="<?php echo $typeId?>"/>
	<input type="hidden" name="set" id="set"
			value="<?php echo $_product->getAttributeSetId()!=null?$_product->getAttributeSetId():$this->getRequest()->getParam('set');?>"/>
<div class="row">
<div class="col-md-12" style="margin-top:10px;">
	<div class="panel panel-default">
		<div class="panel-heading col-md-12 uptransform" style="font-weight:bold;padding:4px 15px;">
			<div class="col-md-6 panel_product_heading" style="line-height:31px;font-size:17px;">
			<?php echo $_product->getId()?$helper->__('Edit')." ".$helper->__($typeId)." ".$helper->__('Product'):$helper->__('New')." ".$helper->__($typeId)." ".$helper->__('Product') ?>
			</div>
			<div class="buttons-set col-md-6 buttons_scb" style="text-align:right;">				
				<button class="button btn btn-success uptransform product-button" title="Save" type="submit" id="save_butn"
					style="float: none;">
					<span><span><?php echo $helper->__('Save') ?></span></span>
				</button>
				<button type="reset" style="float: none;" class="uptransform button btn btn-warning product-button">
					<span><span><?php echo $helper->__('Cancel') ?></span></span>
				</button>
				<?php if($_product->getId()){?>
				<button style="float: none;" type="button" onCLick="if(confirm('<?php echo $helper->__('Are you sure?') ?>'))window.location='<?php echo $this->getDeleteUrl($_product)?>'" title="<?php echo $helper->__('Delete')." ".$helper->__('Product') ?>" class="uptransform button btn btn-danger product-button delete-button"><span><span><?php echo $helper->__('Delete') ?></span></span></button>
				<?php }?>
				<button style="float: none;" type="button" onCLick="window.location='<?php echo $this->escapeUrl($this->getBackUrl()) ?>'" title="<?php echo $this->__('Back') ?>" class="button btn btn-info uptransform product-button back-button"><span><span><?php echo $this->__('Back') ?></span></span></button>		
			</div>
		</div>
		<div class="panel-body panel-min-height">
		<div class="col-md-12">
			<br/>
			<?php if($typeId==Mage_Downloadable_Model_Product_Type::TYPE_DOWNLOADABLE){?>
			<div class="row">
			<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-heading col-md-12" style="text-transform: uppercase;font-weight:bold;padding:4px 15px;">
				<?php echo $helper->__('General Information') ?>
			</div>
			<div class="panel-body">
			<br/>
			<?php }?>
			<?php 
			if($this->getRequest()->getActionname()=="edit"){?>
			<label class="col-md-9" for="store_switcher"><?php echo $this->__('Choose Store View') ?>:</label>
			<div style="clear:both"></div>
			<div class="col-md-9">
			<?php 
				echo $this->getLayout()->createBlock('csmarketplace/vproducts_store_switcher')->setSwitchUrl($this->getUrl('*/*/*', array('_secure'=>$cedsecure,'_current'=>true, '_query'=>false, 'store'=>null,'_nosid'=>true)))->toHtml();?>
				</div>
				<?php 
			}?>
			<?php 
			/* if(Mage::helper('csmarketplace')->isSharingEnabled()) */
				echo $this->getChildHtml('website');?>	
			
			<?php echo $this->getChildHtml('category');?>	
			<div style="clear:both;"></div>
			<div class="form-group col-md-6">
				<label class="required"><em>*</em><?php echo $helper->__('Product Name') ?></label>:
				<div class="input-box">
					<input type="text" value="<?php echo $name;?>" class="required-entry input-text form-control" name="product[name]"
						id="name" />
				</div>
			</div>

                <!-- FIX MAGEKEY : le sku doit etre generé auto
<!--			<div class="form-group col-md-6"><label class="required"><em>*</em><?php /*echo $helper->__('SKU') */?></label>:
				<div style="clear:both"></div>
				<div class="input-box col-md-6" style="padding-left:0">
					<input name="product[sku]" id="sku"  type="text" value="<?php /*echo $sku;*/?>" class="form-control required-entry input-text" />
				</div>
				<div id="skuavailable" style="line-height:2.3em;" >
						<span class="sku-success-msg skuavailable" style="padding-top:4px;font-size:14px !important;background-position:10px 9px !important;">&nbsp;<?php /*echo $helper->__('SKU Available') */?></span>
				</div>
				<div id="skunotavailable" style="line-height:2.3em;">
						<span class="sku-error-msg skunotavailable" style="padding-top:4px;font-size:14px !important;background-position:10px 9px !important;" >&nbsp;<?php /*echo $helper->__('SKU Already Exist') */?></span>
				</div>
				<div style="clear:both"></div>
			</div>-->
			
			<div class="form-group col-md-12"><label class="required"><em>*</em><?php echo $helper->__('Description') ?></label>:
				<div class="input-box">
					<textarea name="product[description]" class="input-text description required-entry required-entry textarea" id="description"
						rows="5" cols="75"><?php echo $description;?></textarea>
				</div>
			</div>
				
			<div class="form-group col-md-12"><label class="required"><em>*</em><?php echo $helper->__('Special notes') ?></label>:
				<div class="input-box">
					<textarea name="product[short_description]" id="short_description" rows="5"
						cols="75" class="input-text short_description required-entry required-entry textarea"><?php echo $short_description;?></textarea>
				</div>
			</div>
				
			<?php if($_product->getTypeId()==Mage_Catalog_Model_Product_Type::TYPE_SIMPLE||$this->getRequest()->getParam('type')==Mage_Catalog_Model_Product_Type::TYPE_SIMPLE){?>	
			<div class="form-group col-md-6"><label class="required"><em>*</em><?php echo $helper->__('Weight') ?></label>:
				<div class="input-box">
					<input  type="text" value="<?php echo $weight;?>"  class="form-control required-entry validate-number validate-zero-or-greater validate-number-range number-range-0-99999999.9999 input-text" name="product[weight]" id="weight"/>
				</div>
			</div>
			<?php }?>
				
<!--			<div class="form-group col-md-6"><label><?php /*echo $helper->__('Stock Availability') */?></label>:
				<div class="input-box">
					<select id="is_in_stock" class="form-control select"
						name="product[stock_data][is_in_stock]">
						<option <?php /*echo $is_in_stock=="-1"?"selected":" "*/?> value="-1"><?php /*echo $helper->__('--Please Select--'); */?></option>
						<option <?php /*echo $is_in_stock==1?"selected":" "*/?> value="1"><?php /*echo $helper->__('In Stock'); */?></option>
						<option <?php /*echo $is_in_stock==0?"selected":" "*/?> value="0"><?php /*echo $helper->__('Out of Stock'); */?></option>
					</select>
				</div>
			</div>-->
			
<!--			<div class="form-group col-md-6">
				<label class="required"><em>*</em><?php /*echo $helper->__('Stock') */?></label>:
				<div class="input-box">-->
                <input  type="hidden" name="product[stock_data][is_in_stock]" value="1"  />
					<input  type="hidden" name="product[stock_data][qty]" value="1" id="qty" />
                <input  type="hidden" name="type" value="simple" id="type" />
<!--				</div>
			</div>-->
			
			<div class="form-group col-md-6">
				<label class="required"><em>*</em><?php echo $helper->__('Tax Class') ?></label>:
				<div class="input-box">
								<select id="tax_class_id" class="form-control validate-select select" name="product[tax_class_id]">
									<option <?php echo ($tax_class_id=='-1')?"selected":""?> value=""><?php echo $helper->__('--Please Select--')?></option>
									<option <?php echo ($tax_class_id=='0')?"selected":""?> value="0"><?php echo $helper->__('None')?></option>
									<?php
										$taxes=Mage::getModel('tax/class')->getCollection()
													->addFieldToFilter('class_type',array('eq'=>'PRODUCT'));
										foreach($taxes as $tax){
									?>
									<option <?php echo ($tax_class_id==$tax->getId())? 'selected':''; ?> value="<?php echo $tax->getId() ?>"><?php echo $tax->getClassName()?></option>
									<?php } ?>
								</select>
				</div>
			</div>
			
			<div class="form-group col-md-6">
				<label class="required"><em>*</em><?php echo $helper->__('Price') ?></label>:
				<div class="input-box form-group input-group price-imput-box">
					<span class="input-group-addon"><?php $currency_code =Mage::getModel('core/store')->load($_product->getStoreId())->getBaseCurrencyCode(); echo Mage::app()->getLocale()->currency( $currency_code )->getSymbol(); ?></span>
					<input  type="text" name="product[price]" value="<?php if($price!='') echo $price;?>" id="price" class="form-control required-entry validate-number validate-zero-or-greater  input-text" />
				</div>
			</div>
			
			<div class="form-group col-md-6">
				<label><?php echo $helper->__('Special Price') ?></label>:
				<div class="input-box form-group input-group">
					<span class="input-group-addon"><?php $currency_code =Mage::getModel('core/store')->load($_product->getStoreId())->getBaseCurrencyCode(); echo Mage::app()->getLocale()->currency( $currency_code )->getSymbol(); ?></span>
					<input  type="text" name="product[special_price]" value="<?php  if($special_price!='')echo $special_price;?>" id="special_price" class="form-control input-text validate-number validate-zero-or-greater " />
				</div>
			</div>


                <?php
                $attribute = Mage::getModel('eav/config')->getAttribute('catalog_product', 'part_condition');
                $conditions = $attribute->getSource()->getAllOptions(false, true);
                ?>
            <div class="form-group col-md-6">
               <label><?php echo $helper->__('Condition') ?></label>:
               <div class="input-box">
                  <select id="part_condition" class="form-control validate-select select" name="product[part_condition]">
                      <?php foreach ($conditions as $condition) : ?>
                        <option <?php echo ($part_condition==$condition['value'] || $condition['label'] == 'Used')?"selected":""?> value="<?php echo $condition['value'] ?>"><?php echo $helper->__($condition['label'])?></option>
                      <?php endforeach ?>
                  </select>
               </div>
            </div>

                <div class="form-group col-md-6">
                    <label><?php echo $helper->__('Shipping cost') ?></label>:
                    <div class="input-box">
                        <input  type="text" name="product[ship_cost]" value="<?php  if($ship_cost!='') echo $ship_cost; else echo '0'; ?>" id="ship_cost" class="form-control input-text validate-number validate-zero-or-greater " />
                    </div>
                </div>

                <div class="form-group col-md-6">
                    <label><?php echo $helper->__('Shipping label') ?></label>:
                    <div class="input-box">
                        <input  type="text" name="product[ship_label]" value="<?php  if($ship_label!='') echo $ship_label; ?>" id="ship_label" class="form-control input-text" />
                    </div>
                </div>

                <div class="form-group col-md-6">
                    <label><?php echo $helper->__('Return') ?></label>:
                    <div class="input-box">
                        <input  type="text" name="product[return]" value="<?php  if($return!='') echo $return; ?>" id="return" class="form-control input-text" />
                    </div>
                </div>

                <div class="form-group col-md-6">
                    <label><?php echo $helper->__('Garantee') ?></label>:
                    <div class="input-box">
                        <input  type="text" name="product[garantee]" value="<?php  if($garantee!='') echo $garantee; ?>" id="garantee" class="form-control input-text" />
                    </div>
                </div>




                <?php if($checkstatus==Ced_CsMarketplace_Model_Vproducts::APPROVED_STATUS){?>
			<div class="form-group col-md-6">
					<label class="required"><em>*</em><?php echo $helper->__('Status') ?></label>:
					<div class="input-box">
						<select id="is_in_stock" class="form-control select"
						name="product[status]">
							<option <?php echo $status==Mage_Catalog_Model_Product_Status::STATUS_ENABLED?"selected":""?>  value="<?php echo Mage_Catalog_Model_Product_Status::STATUS_ENABLED?>"><?php echo $helper->__('Enable'); ?></option>
							<option <?php echo $status==Mage_Catalog_Model_Product_Status::STATUS_DISABLED?"selected":""?>  value="<?php echo Mage_Catalog_Model_Product_Status::STATUS_DISABLED?>"><?php echo $helper->__('Disable'); ?></option>
						</select>
					</div>
			</div>
				<?php }?>
			<div style="clear:both;"></div>
            <?php echo $this->getChildHtml('compatibility')?>
			<?php echo $this->getChildHtml('media')?>
			
			<?php if($_product->getTypeId()==Mage_Downloadable_Model_Product_Type::TYPE_DOWNLOADABLE||$this->getRequest()->getParam('type')==Mage_Downloadable_Model_Product_Type::TYPE_DOWNLOADABLE){
					echo $this->getChildHtml('downloadable');		
			}?>
			<p class="required"><?php echo $helper->__('* Required Fields') ?></p>

</div>
                <div class="buttons-set col-md-6 buttons_scb" style="text-align:right;width:100%">
                    <button class="button btn btn-success uptransform product-button" title="Save" type="submit" id="save_butn"
                            style="float: none;">
                        <span><span><?php echo $helper->__('Save') ?></span></span>
                    </button>
                    <button type="reset" style="float: none;" class="uptransform button btn btn-warning product-button">
                        <span><span><?php echo $helper->__('Cancel') ?></span></span>
                    </button>
                    <?php if($_product->getId()){?>
                        <button style="float: none;" type="button" onCLick="if(confirm('<?php echo $helper->__('Are you sure?') ?>'))window.location='<?php echo $this->getDeleteUrl($_product)?>'" title="<?php echo $helper->__('Delete')." ".$helper->__('Product') ?>" class="uptransform button btn btn-danger product-button delete-button"><span><span><?php echo $helper->__('Delete') ?></span></span></button>
                    <?php }?>
                    <button style="float: none;" type="button" onCLick="window.location='<?php echo $this->escapeUrl($this->getBackUrl()) ?>'" title="<?php echo $this->__('Back') ?>" class="button btn btn-info uptransform product-button back-button"><span><span><?php echo $this->__('Back') ?></span></span></button>
                </div>
</div>

</div>

</div>
</div>
</div>
</form>

<?php Mage::getSingleton('customer/session')->setFormError(false)->setProductFormData(array());?>
<script type="text/javascript">
jced('#sku').change(function(){
	var sku=jced('#sku').val();
	var skulength=sku.length;
	if(skulength==0){
		alert("<?php echo $helper->__("SKU can't be empty") ?>");
		jced('#skuavailable').css('display','none');
		jced('#skunotavailable').css('display','none');
	}
	else{
		jced.ajax({
			url: "<?php echo Mage::getUrl('csmarketplace/vproducts/checkSku',array('id'=>$_product->getId(),'_secure'=>$cedsecure,'_nosid'=>true));?>",
			type: "POST",
			data: {sku:sku},
			dataType: 'html',
			success:function($data){
				$data=JSON.parse($data);
				if($data.result==1){
					jced('#skuavailable').css('display','block');
					jced('#skunotavailable').css('display','none');
				}
				else{
					jced('#skunotavailable').css('display','block');
					jced('#skuavailable').css('display','none');
					jced("#sku").attr('value','');
				}
			}
		});
	}
});

//<![CDATA[
    var dataForm = new VarienForm('form-validate', true);
//]]>
</script>


